// synopsys translate_off
`timescale 1 ps / 1 ps
// synopsys translate_on


module sll_ca_hbc_t001_ddio_out (
		outclock,   //   outclock.export
		outclocken, // outclocken.export
		din,        //        din.export
		pad_out,    //    pad_out.export
		aclr,       //       aclr.export
		aset,       //       aclr.export
		oe          //         oe.export
	);     
parameter width      = 1;
parameter en_oe_port = 1; //if set, the output enable port is ued
parameter rst_high   = 0;

input                 aclr;       //       aclr.export
input                 aset;       //       aclr.export
input                 outclock;   //   outclock.export
input                 outclocken; // outclocken.export
input [(2*width)-1:0] din;        //        din.export
input [width    -1:0] oe;         //         oe.export

inout [width    -1:0] pad_out;    //    pad_out.export

tri  [width    -1:0] pad_out;    //    pad_out.export

  //split input data into high/low region
	wire [width -1:0] datain_h, datain_l;
	
	assign {datain_l, datain_h} = din;


	altddio_out	#(
		.extend_oe_disable     ("OFF"         ),
		.intended_device_family("Cyclone IV E"),
		.invert_output         ("OFF"         ),
		.lpm_hint              ("UNUSED"      ),
		.lpm_type              ("altddio_out" ),
		.oe_reg                ("UNREGISTERED"),
		.power_up_high         ("OFF"         ),
		.width                 (width)  
	) ALTDDIO_OUT_component (
				.aclr       ((rst_high==1) ? 1'b0 : aclr ),
				.aset       ((rst_high==1) ? aset : 1'b0 ),
				.datain_h   (datain_h),
				.datain_l   (datain_l),
				.oe         ((en_oe_port==1) ? oe[0] : 1'b1 ),
				.outclock   (outclock),
				.outclocken (outclocken),
				.dataout    (pad_out),
				.oe_out     (    ),
				.sclr       (1'b0),
				.sset       (1'b0)
				);

endmodule
